Index: benchmark/bench_tools.h
===================================================================
--- benchmark/bench_tools.h	(revision 1756)
+++ benchmark/bench_tools.h	(revision 1956)
@@ -1,3 +1,20 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef LEMON_BENCH_TEST_H
 #define LEMON_BENCH_TEST_H
Index: benchmark/bfs-bench.cc
===================================================================
--- benchmark/bfs-bench.cc	(revision 1847)
+++ benchmark/bfs-bench.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include<queue>
Index: benchmark/graph-bench.cc
===================================================================
--- benchmark/graph-bench.cc	(revision 1855)
+++ benchmark/graph-bench.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include<lemon/list_graph.h>
 
Index: benchmark/hcube.cc
===================================================================
--- benchmark/hcube.cc	(revision 1847)
+++ benchmark/hcube.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- mode:C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include<cmath>
Index: benchmark/radix_sort-bench.cc
===================================================================
--- benchmark/radix_sort-bench.cc	(revision 1833)
+++ benchmark/radix_sort-bench.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #define NDEBUG
 
Index: demo/coloring.cc
===================================================================
--- demo/coloring.cc	(revision 1909)
+++ demo/coloring.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/coloring.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/descriptor_map_demo.cc
===================================================================
--- demo/descriptor_map_demo.cc	(revision 1875)
+++ demo/descriptor_map_demo.cc	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * demo/descriptor_map_demo.cc - Part of LEMON, a generic C++ optimization
- * library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/dijkstra_demo.cc
===================================================================
--- demo/dijkstra_demo.cc	(revision 1875)
+++ demo/dijkstra_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/dijkstra_demo.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/dim_to_dot.cc
===================================================================
--- demo/dim_to_dot.cc	(revision 1875)
+++ demo/dim_to_dot.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/dim_to_dot.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/dim_to_lgf.cc
===================================================================
--- demo/dim_to_lgf.cc	(revision 1875)
+++ demo/dim_to_lgf.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/dim_to_lgf.cc - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/graph_orientation.cc
===================================================================
--- demo/graph_orientation.cc	(revision 1913)
+++ demo/graph_orientation.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/graph_orientation.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,5 +16,4 @@
  *
  */
-
 
 #include <lemon/list_graph.h>
Index: demo/graph_to_eps_demo.cc
===================================================================
--- demo/graph_to_eps_demo.cc	(revision 1930)
+++ demo/graph_to_eps_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/graph_to_eps.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/grid_graph_demo.cc
===================================================================
--- demo/grid_graph_demo.cc	(revision 1875)
+++ demo/grid_graph_demo.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <lemon/grid_graph.h>
 #include <lemon/graph_adaptor.h>
Index: demo/hello_lemon.cc
===================================================================
--- demo/hello_lemon.cc	(revision 1928)
+++ demo/hello_lemon.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/hello_lemon.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/kruskal_demo.cc
===================================================================
--- demo/kruskal_demo.cc	(revision 1875)
+++ demo/kruskal_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/kruskal_demo.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/lp_demo.cc
===================================================================
--- demo/lp_demo.cc	(revision 1875)
+++ demo/lp_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/lp_demo.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/lp_maxflow_demo.cc
===================================================================
--- demo/lp_maxflow_demo.cc	(revision 1875)
+++ demo/lp_maxflow_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/lp_maxflow_demo.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/min_route.cc
===================================================================
--- demo/min_route.cc	(revision 1875)
+++ demo/min_route.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/min_route.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/reader_writer_demo.cc
===================================================================
--- demo/reader_writer_demo.cc	(revision 1875)
+++ demo/reader_writer_demo.cc	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * demo/reader_writer_demo.cc - Part of LEMON, a generic C++ optimization
- * library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/simann_maxcut_demo.cc
===================================================================
--- demo/simann_maxcut_demo.cc	(revision 1919)
+++ demo/simann_maxcut_demo.cc	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * demo/simann_maxcut_demo.cc - Part of LEMON, a generic C++ optimization
- * library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/sub_graph_adaptor_demo.cc
===================================================================
--- demo/sub_graph_adaptor_demo.cc	(revision 1875)
+++ demo/sub_graph_adaptor_demo.cc	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * demo/sub_graph_adaptor_demo.cc - Part of LEMON, a generic C++ optimization
- * library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/tight_edge_filter_map.h
===================================================================
--- demo/tight_edge_filter_map.h	(revision 1875)
+++ demo/tight_edge_filter_map.h	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * demo/tight_edge_filter_map.h - Part of LEMON, a generic C++ optimization
- * library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: demo/topology_demo.cc
===================================================================
--- demo/topology_demo.cc	(revision 1910)
+++ demo/topology_demo.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * demo/min_route.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/attic/debug.h
===================================================================
--- lemon/attic/debug.h	(revision 1875)
+++ lemon/attic/debug.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/debug.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/base.cc
===================================================================
--- lemon/base.cc	(revision 1897)
+++ lemon/base.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/base.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/bellman_ford.h
===================================================================
--- lemon/bellman_ford.h	(revision 1946)
+++ lemon/bellman_ford.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/bellman_ford.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/bezier.h
===================================================================
--- lemon/bezier.h	(revision 1875)
+++ lemon/bezier.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/bezier.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/bfs.h
===================================================================
--- lemon/bfs.h	(revision 1875)
+++ lemon/bfs.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/bfs.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/bin_heap.h
===================================================================
--- lemon/bin_heap.h	(revision 1906)
+++ lemon/bin_heap.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/bin_heap.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 1946)
+++ lemon/bits/alteration_notifier.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/notifier.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/array_map.h
===================================================================
--- lemon/bits/array_map.h	(revision 1946)
+++ lemon/bits/array_map.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/bits/array_map.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/clearable_graph_extender.h
===================================================================
--- lemon/bits/clearable_graph_extender.h	(revision 1910)
+++ lemon/bits/clearable_graph_extender.h	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef LEMON_CLEARABLE_GRAPH_EXTENDER_H
Index: lemon/bits/default_map.h
===================================================================
--- lemon/bits/default_map.h	(revision 1946)
+++ lemon/bits/default_map.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/default_map.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/erasable_graph_extender.h
===================================================================
--- lemon/bits/erasable_graph_extender.h	(revision 1909)
+++ lemon/bits/erasable_graph_extender.h	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef LEMON_ERASABLE_GRAPH_EXTENDER_H
Index: lemon/bits/extendable_graph_extender.h
===================================================================
--- lemon/bits/extendable_graph_extender.h	(revision 1910)
+++ lemon/bits/extendable_graph_extender.h	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #ifndef LEMON_EXTENDABLE_GRAPH_EXTENDER_H
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 1910)
+++ lemon/bits/graph_extender.h	(revision 1956)
@@ -1,8 +1,9 @@
 /* -*- C++ -*-
- * lemon/graph_extender.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi
- * Kutatocsoport (Egervary Research Groin on Combinatorial Optimization,
- * EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/item_reader.h
===================================================================
--- lemon/bits/item_reader.h	(revision 1946)
+++ lemon/bits/item_reader.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/bits/item_reader.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/item_writer.h
===================================================================
--- lemon/bits/item_writer.h	(revision 1946)
+++ lemon/bits/item_writer.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/bits/item_reader.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/iterable_graph_extender.h
===================================================================
--- lemon/bits/iterable_graph_extender.h	(revision 1934)
+++ lemon/bits/iterable_graph_extender.h	(revision 1956)
@@ -1,3 +1,20 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef LEMON_ITERABLE_GRAPH_EXTENDER_H
 #define LEMON_ITERABLE_GRAPH_EXTENDER_H
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 1910)
+++ lemon/bits/map_extender.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/map_extender.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/static_map.h
===================================================================
--- lemon/bits/static_map.h	(revision 1946)
+++ lemon/bits/static_map.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/static_map.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/bits/vector_map.h
===================================================================
--- lemon/bits/vector_map.h	(revision 1946)
+++ lemon/bits/vector_map.h	(revision 1956)
@@ -1,7 +1,9 @@
 /* -*- C++ -*-
- * lemon/vector_map.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Groin on Combinatorial Optimization, EGRES).
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/concept/bpugraph.h
===================================================================
--- lemon/concept/bpugraph.h	(revision 1946)
+++ lemon/concept/bpugraph.h	(revision 1956)
@@ -1,10 +1,9 @@
 /* -*- C++ -*-
  *
- * lemon/concept/ugraph_component.h - Part of LEMON, a generic
- * C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi
- * Kutatocsoport (Egervary Research Group on Combinatorial Optimization,
- * EGRES).
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/concept/graph.h
===================================================================
--- lemon/concept/graph.h	(revision 1946)
+++ lemon/concept/graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/graph_component.h
===================================================================
--- lemon/concept/graph_component.h	(revision 1909)
+++ lemon/concept/graph_component.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/graph_component.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/heap.h
===================================================================
--- lemon/concept/heap.h	(revision 1902)
+++ lemon/concept/heap.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/heap.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/maps.h
===================================================================
--- lemon/concept/maps.h	(revision 1875)
+++ lemon/concept/maps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/maps.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/matrix_maps.h
===================================================================
--- lemon/concept/matrix_maps.h	(revision 1875)
+++ lemon/concept/matrix_maps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/matrix_maps.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/path.h
===================================================================
--- lemon/concept/path.h	(revision 1875)
+++ lemon/concept/path.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/concept/path.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/concept/ugraph.h
===================================================================
--- lemon/concept/ugraph.h	(revision 1946)
+++ lemon/concept/ugraph.h	(revision 1956)
@@ -1,10 +1,9 @@
 /* -*- C++ -*-
  *
- * lemon/concept/ugraph_component.h - Part of LEMON, a generic
- * C++ optimization library
+ * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi
- * Kutatocsoport (Egervary Research Group on Combinatorial Optimization,
- * EGRES).
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 1435)
+++ lemon/concept_check.h	(revision 1956)
@@ -1,6 +1,22 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 // Modified for use in LEMON.
 // We should really consider using Boost...
-
 
 //
Index: lemon/counter.h
===================================================================
--- lemon/counter.h	(revision 1875)
+++ lemon/counter.h	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * lemon/counter.h - 
- * Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/dag_shortest_path.h
===================================================================
--- lemon/dag_shortest_path.h	(revision 1946)
+++ lemon/dag_shortest_path.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/dag_shortest_path.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/dfs.h
===================================================================
--- lemon/dfs.h	(revision 1946)
+++ lemon/dfs.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/dfs.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 1875)
+++ lemon/dijkstra.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/dijkstra.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/dimacs.h
===================================================================
--- lemon/dimacs.h	(revision 1946)
+++ lemon/dimacs.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/dimacs.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 1909)
+++ lemon/edge_set.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/edge_set.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/error.h
===================================================================
--- lemon/error.h	(revision 1875)
+++ lemon/error.h	(revision 1956)
@@ -1,8 +1,9 @@
 /* -*- C++ -*-
- * lemon/error.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi
- * Kutatocsoport (Egervary Research Group on Combinatorial Optimization,
- * EGRES).
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
Index: lemon/euler.h
===================================================================
--- lemon/euler.h	(revision 1909)
+++ lemon/euler.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/euler.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,4 +16,5 @@
  *
  */
+
 #include<lemon/invalid.h>
 #include<lemon/topology.h>
Index: lemon/fib_heap.h
===================================================================
--- lemon/fib_heap.h	(revision 1906)
+++ lemon/fib_heap.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/fib_heap.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/floyd_warshall.h
===================================================================
--- lemon/floyd_warshall.h	(revision 1946)
+++ lemon/floyd_warshall.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/floyd_warshall.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/fredman_tarjan.h
===================================================================
--- lemon/fredman_tarjan.h	(revision 1953)
+++ lemon/fredman_tarjan.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/fredman_tarjan.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/full_graph.h
===================================================================
--- lemon/full_graph.h	(revision 1910)
+++ lemon/full_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/full_graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/graph_adaptor.h
===================================================================
--- lemon/graph_adaptor.h	(revision 1952)
+++ lemon/graph_adaptor.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/graph_adaptor.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/graph_reader.h
===================================================================
--- lemon/graph_reader.h	(revision 1946)
+++ lemon/graph_reader.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/graph_reader.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 1936)
+++ lemon/graph_to_eps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/graph_to_eps.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/graph_utils.h
===================================================================
--- lemon/graph_utils.h	(revision 1946)
+++ lemon/graph_utils.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/graph_utils.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/graph_writer.h
===================================================================
--- lemon/graph_writer.h	(revision 1946)
+++ lemon/graph_writer.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/graph_writer.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/grid_graph.h
===================================================================
--- lemon/grid_graph.h	(revision 1946)
+++ lemon/grid_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/grid_graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/hypercube_graph.h
===================================================================
--- lemon/hypercube_graph.h	(revision 1946)
+++ lemon/hypercube_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/hypercube_graph.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/invalid.h
===================================================================
--- lemon/invalid.h	(revision 1875)
+++ lemon/invalid.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/invalid.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/iterable_maps.h
===================================================================
--- lemon/iterable_maps.h	(revision 1953)
+++ lemon/iterable_maps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/iterable_maps.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/johnson.h
===================================================================
--- lemon/johnson.h	(revision 1953)
+++ lemon/johnson.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/johnson.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/kruskal.h
===================================================================
--- lemon/kruskal.h	(revision 1946)
+++ lemon/kruskal.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/kruskal.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lemon_reader.h
===================================================================
--- lemon/lemon_reader.h	(revision 1946)
+++ lemon/lemon_reader.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lemon_reader.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lemon_writer.h
===================================================================
--- lemon/lemon_writer.h	(revision 1909)
+++ lemon/lemon_writer.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lemon_writer.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/linear_heap.h
===================================================================
--- lemon/linear_heap.h	(revision 1906)
+++ lemon/linear_heap.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/linear_heap.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 1909)
+++ lemon/list_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/list_graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp.h
===================================================================
--- lemon/lp.h	(revision 1875)
+++ lemon/lp.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_base.cc
===================================================================
--- lemon/lp_base.cc	(revision 1875)
+++ lemon/lp_base.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_base.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_base.h
===================================================================
--- lemon/lp_base.h	(revision 1908)
+++ lemon/lp_base.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_base.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_cplex.cc
===================================================================
--- lemon/lp_cplex.cc	(revision 1950)
+++ lemon/lp_cplex.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_cplex.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,4 +16,5 @@
  *
  */
+
 #include <iostream>
 #include<lemon/lp_cplex.h>
Index: lemon/lp_cplex.h
===================================================================
--- lemon/lp_cplex.h	(revision 1895)
+++ lemon/lp_cplex.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_cplex.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_glpk.cc
===================================================================
--- lemon/lp_glpk.cc	(revision 1895)
+++ lemon/lp_glpk.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_glpk.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_glpk.h
===================================================================
--- lemon/lp_glpk.h	(revision 1895)
+++ lemon/lp_glpk.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_glpk.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_skeleton.cc
===================================================================
--- lemon/lp_skeleton.cc	(revision 1895)
+++ lemon/lp_skeleton.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_skeleton.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/lp_skeleton.h
===================================================================
--- lemon/lp_skeleton.h	(revision 1895)
+++ lemon/lp_skeleton.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/lp_skeleton.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/map_iterator.h
===================================================================
--- lemon/map_iterator.h	(revision 1875)
+++ lemon/map_iterator.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/map_iterator.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 1875)
+++ lemon/maps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/maps.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/matrix_maps.h
===================================================================
--- lemon/matrix_maps.h	(revision 1875)
+++ lemon/matrix_maps.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/matrix_maps.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/max_matching.h
===================================================================
--- lemon/max_matching.h	(revision 1909)
+++ lemon/max_matching.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/max_matching.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/min_cost_flow.h
===================================================================
--- lemon/min_cost_flow.h	(revision 1875)
+++ lemon/min_cost_flow.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/min_cost_flow.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/path.h
===================================================================
--- lemon/path.h	(revision 1909)
+++ lemon/path.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/path.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/preflow.h
===================================================================
--- lemon/preflow.h	(revision 1953)
+++ lemon/preflow.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/preflow.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/prim.h
===================================================================
--- lemon/prim.h	(revision 1953)
+++ lemon/prim.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/prim.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/radix_heap.h
===================================================================
--- lemon/radix_heap.h	(revision 1906)
+++ lemon/radix_heap.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/radix_heap.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/radix_sort.h
===================================================================
--- lemon/radix_sort.h	(revision 1904)
+++ lemon/radix_sort.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/radix_sort.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/simann.h
===================================================================
--- lemon/simann.h	(revision 1932)
+++ lemon/simann.h	(revision 1956)
@@ -1,3 +1,20 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #ifndef LEMON_SIMANN_H
 #define LEMON_SIMANN_H
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 1910)
+++ lemon/smart_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/smart_graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/sub_graph.h
===================================================================
--- lemon/sub_graph.h	(revision 1909)
+++ lemon/sub_graph.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/sub_graph.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/suurballe.h
===================================================================
--- lemon/suurballe.h	(revision 1875)
+++ lemon/suurballe.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/suurballe.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 1953)
+++ lemon/time_measure.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/time_measure.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/tolerance.h
===================================================================
--- lemon/tolerance.h	(revision 1953)
+++ lemon/tolerance.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/tolerance.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/topology.h
===================================================================
--- lemon/topology.h	(revision 1909)
+++ lemon/topology.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/topology.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/traits.h
===================================================================
--- lemon/traits.h	(revision 1915)
+++ lemon/traits.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/traits.h - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 1875)
+++ lemon/unionfind.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/unionfind.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: lemon/utility.h
===================================================================
--- lemon/utility.h	(revision 1875)
+++ lemon/utility.h	(revision 1956)
@@ -1,8 +1,9 @@
 /* -*- C++ -*-
- * lemon/utility.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi
- * Kutatocsoport (Egervary Research Group on Combinatorial Optimization,
- * EGRES).
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
  * Permission to use, modify and distribute this software is granted
@@ -14,7 +15,8 @@
  * purpose.
  *
- * This file contains a modified version of the enable_if library from BOOST.
- * See the appropriate copyright notice below.
  */
+
+// This file contains a modified version of the enable_if library from BOOST.
+// See the appropriate copyright notice below.
 
 // Boost enable_if library
Index: lemon/xy.h
===================================================================
--- lemon/xy.h	(revision 1927)
+++ lemon/xy.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * lemon/xy.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/all_pairs_shortest_path_test.cc
===================================================================
--- test/all_pairs_shortest_path_test.cc	(revision 1763)
+++ test/all_pairs_shortest_path_test.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <iostream>
 #include <vector>
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 1875)
+++ test/bfs_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/bfs_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/counter_test.cc
===================================================================
--- test/counter_test.cc	(revision 1875)
+++ test/counter_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/counter_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/dfs_test.cc
===================================================================
--- test/dfs_test.cc	(revision 1875)
+++ test/dfs_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/dfs_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/dijkstra_test.cc
===================================================================
--- test/dijkstra_test.cc	(revision 1875)
+++ test/dijkstra_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/dijkstra_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/error_test.cc
===================================================================
--- test/error_test.cc	(revision 1875)
+++ test/error_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/error_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/graph_adaptor_test.cc
===================================================================
--- test/graph_adaptor_test.cc	(revision 1909)
+++ test/graph_adaptor_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/graph_adaptor_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/graph_factory_test.cc
===================================================================
--- test/graph_factory_test.cc	(revision 1875)
+++ test/graph_factory_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/graph_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/graph_test.cc
===================================================================
--- test/graph_test.cc	(revision 1712)
+++ test/graph_test.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <iostream>
Index: test/graph_test.h
===================================================================
--- test/graph_test.h	(revision 1875)
+++ test/graph_test.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/graph_test.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,4 +16,5 @@
  *
  */
+
 #ifndef LEMON_TEST_GRAPH_TEST_H
 #define LEMON_TEST_GRAPH_TEST_H
Index: test/graph_utils_test.cc
===================================================================
--- test/graph_utils_test.cc	(revision 1772)
+++ test/graph_utils_test.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <iostream>
Index: test/graph_utils_test.h
===================================================================
--- test/graph_utils_test.h	(revision 1875)
+++ test/graph_utils_test.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/graph_utils_test.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,4 +16,5 @@
  *
  */
+
 #ifndef LEMON_TEST_GRAPH_UTILS_TEST_H
 #define LEMON_TEST_GRAPH_UTILS_TEST_H
Index: test/heap_test.cc
===================================================================
--- test/heap_test.cc	(revision 1845)
+++ test/heap_test.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <iostream>
Index: test/heap_test.h
===================================================================
--- test/heap_test.h	(revision 1763)
+++ test/heap_test.h	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <vector>
Index: test/kruskal_test.cc
===================================================================
--- test/kruskal_test.cc	(revision 1875)
+++ test/kruskal_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/kruskal_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/lp_test.cc
===================================================================
--- test/lp_test.cc	(revision 1895)
+++ test/lp_test.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <sstream>
 #include <lemon/lp_skeleton.h>
Index: test/map_test.h
===================================================================
--- test/map_test.h	(revision 1875)
+++ test/map_test.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/map_test.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
@@ -14,4 +16,5 @@
  *
  */
+
 #ifndef LEMON_TEST_MAP_TEST_H
 #define LEMON_TEST_MAP_TEST_H
Index: test/maps_test.cc
===================================================================
--- test/maps_test.cc	(revision 1675)
+++ test/maps_test.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <lemon/concept_check.h>
 #include <lemon/concept/maps.h>
Index: test/matrix_maps_test.cc
===================================================================
--- test/matrix_maps_test.cc	(revision 1751)
+++ test/matrix_maps_test.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- c++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <iostream>
Index: test/max_matching_test.cc
===================================================================
--- test/max_matching_test.cc	(revision 1909)
+++ test/max_matching_test.cc	(revision 1956)
@@ -1,7 +1,8 @@
 /* -*- C++ -*-
- * test/max_matching_test.cc - 
- * Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/min_cost_flow_test.cc
===================================================================
--- test/min_cost_flow_test.cc	(revision 1875)
+++ test/min_cost_flow_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/min_cost_flow_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/path_test.cc
===================================================================
--- test/path_test.cc	(revision 1909)
+++ test/path_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/path_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/preflow_test.cc
===================================================================
--- test/preflow_test.cc	(revision 1875)
+++ test/preflow_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/preflow_test.cc - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/radix_sort_test.cc
===================================================================
--- test/radix_sort_test.cc	(revision 1844)
+++ test/radix_sort_test.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <lemon/time_measure.h>
 #include <lemon/smart_graph.h>
Index: test/simann_test.cc
===================================================================
--- test/simann_test.cc	(revision 1921)
+++ test/simann_test.cc	(revision 1956)
@@ -1,2 +1,20 @@
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
 #include <lemon/simann.h>
 
Index: test/suurballe_test.cc
===================================================================
--- test/suurballe_test.cc	(revision 1875)
+++ test/suurballe_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/suurballe_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/test_tools.h
===================================================================
--- test/test_tools.h	(revision 1909)
+++ test/test_tools.h	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/test_tools.h - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/test_tools_fail.cc
===================================================================
--- test/test_tools_fail.cc	(revision 1875)
+++ test/test_tools_fail.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/test_tools_fail.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/test_tools_pass.cc
===================================================================
--- test/test_tools_pass.cc	(revision 1875)
+++ test/test_tools_pass.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/test_tools_pass.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/time_measure_test.cc
===================================================================
--- test/time_measure_test.cc	(revision 1875)
+++ test/time_measure_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/time_measure_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/ugraph_test.cc
===================================================================
--- test/ugraph_test.cc	(revision 1909)
+++ test/ugraph_test.cc	(revision 1956)
@@ -1,3 +1,19 @@
-// -*- C++ -*-
+/* -*- C++ -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
 
 #include <lemon/bits/graph_extender.h>
Index: test/unionfind_test.cc
===================================================================
--- test/unionfind_test.cc	(revision 1875)
+++ test/unionfind_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/unionfind_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
Index: test/xy_test.cc
===================================================================
--- test/xy_test.cc	(revision 1875)
+++ test/xy_test.cc	(revision 1956)
@@ -1,6 +1,8 @@
 /* -*- C++ -*-
- * test/xy_test.cc - Part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2006 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * This file is a part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2003-2006
+ * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
  *
